Debian Bug report logs - #492264
RFP: libnb-svnclientadapter-java -- High-level Java API to subversion

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Yulia Novozhilova <Yulia.Novozhilova@Sun.COM>

Date: Thu, 24 Jul 2008 18:06:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Yulia Novozhilova <Yulia.Novozhilova@sun.com>:
Bug#492264; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Yulia Novozhilova <Yulia.Novozhilova@Sun.COM>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>, Yulia Novozhilova <Yulia.Novozhilova@sun.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yulia Novozhilova <Yulia.Novozhilova@Sun.COM>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libnb-svnclientadapter-java --High-level Java API to subversion
Date: Thu, 24 Jul 2008 22:06:26 +0400
Package: wnpp
Severity: wishlist
Owner: Yulia Novozhilova <Yulia.Novozhilova@sun.com>

* Package name    : libnb-svnclientadapter-java
Version         : 6.0.1
Upstream Author : Original SvnClientAdapter code: Mark Phippard and others.
See
 http://subclipse.tigris.org/servlets/ProjectMemberList and
 http://www.ohloh.net/projects/4137/contributors?page=1.

 NetBeans fork: Tomas Stupka, Petr Kuzel, Maros Sandor.

* URL             : 
http://subversion.netbeans.org/teepee/svnclientadapter.html
* License         : Apache-2.0
Programming Lang: Java
Description     : High-level Java API to subversion

That is why svnClientAdapter is easier to use in many cases.
For example, you can use ISVNClientAdapter addToIgnoredPatterns method
to add a pattern of files to ignore to a directory.
This is a NetBeans forked version of SvnClientAdapter.




Changed Bug title to `ITP: libnb-svnclientadapter-java -- High-level Java API to subversion' from `ITP: libnb-svnclientadapter-java --High-level Java API to subversion'. Request was from Riccardo Stagni <unriccio@email.it> to control@bugs.debian.org. (Thu, 24 Jul 2008 21:52:02 GMT) Full text and rfc822 format available.

Blocking bugs of 478762 added: 492264 Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 10 Sep 2008 07:48:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Yulia Novozhilova <Yulia.Novozhilova@sun.com>:
Bug#492264; Package wnpp. (Fri, 27 Nov 2009 12:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Morten Sørensen <starswifter@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Yulia Novozhilova <Yulia.Novozhilova@sun.com>. (Fri, 27 Nov 2009 12:33:03 GMT) Full text and rfc822 format available.

Message #14 received at 492264@bugs.debian.org (full text, mbox):

From: Morten Sørensen <starswifter@gmail.com>
To: 492264@bugs.debian.org
Cc: unriccio@email.it
Subject: Update on libnb-svnclientadapter-java
Date: Fri, 27 Nov 2009 13:29:56 +0100
Hi

Are there any news on libnb-svnclientadapter-java?
I am trying to pack a new version of jgrapht which depends on it.

-- Morten




Information stored :
Bug#492264; Package wnpp. (Sat, 28 Nov 2009 11:18:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riccardo Stagni <unriccio@email.it>:
Extra info received and filed, but not forwarded. (Sat, 28 Nov 2009 11:18:13 GMT) Full text and rfc822 format available.

Message #19 received at 492264-quiet@bugs.debian.org (full text, mbox):

From: Riccardo Stagni <unriccio@email.it>
To: Morten Sørensen <starswifter@gmail.com>
Cc: 492264-quiet@bugs.debian.org
Subject: Re: Update on libnb-svnclientadapter-java
Date: Sat, 28 Nov 2009 12:12:20 +0100
[Message part 1 (text/plain, inline)]
On Fri, Nov 27, 2009 at 01:29:56PM +0100, Morten Sørensen wrote:
> Are there any news on libnb-svnclientadapter-java?
> I am trying to pack a new version of jgrapht which depends on it.

I think you wrote me because some time ago I retitled the bug report,
right? I made that change because it was creating some issues to the
automated scripts for indexing wnpp bugs, but the report was already an
itp, and was filled by Yulia Novozhilova <Yulia.Novozhilova@sun.com>.
(see in particular the owner tag in the bug report)

Please try to ask her about the packaging status.

ciao
Riccardo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yulia Novozhilova <Yulia.Novozhilova@sun.com>:
Bug#492264; Package wnpp. (Thu, 18 Feb 2010 13:45:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yulia Novozhilova <Yulia.Novozhilova@sun.com>. (Thu, 18 Feb 2010 13:45:16 GMT) Full text and rfc822 format available.

Message #24 received at 492264@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 478762@bugs.debian.org, "Debian Java Maintainers" <pkg-java-maintainers@lists.alioth.debian.org>, 543907@bugs.debian.org
Cc: 492255@bugs.debian.org, 492259@bugs.debian.org, 492263@bugs.debian.org, 492264@bugs.debian.org, 494018@bugs.debian.org, 492261@bugs.debian.org
Subject: about netbeans and related packages
Date: Thu, 18 Feb 2010 22:43:02 +0900
[Message part 1 (text/plain, inline)]
Hi,

 Probably you know, netbeans6.8 was released and packaged in Ubuntu
 by Yulia Novozhilova <Yulia.Novozhilova@sun.com>, who has _already_
 ITPed releted some packages in Debian.

 With some adjustment, I made netbeans 6.8 and those packages for 
 Debian (just imported from Ubuntu). If you are interested in that, 
 please test it.
 
 deb http://www.mithril-linux.org/~henrich/debian/package/netbeans/


 And you can get source at mentors.
 http://mentors.debian.net/debian/pool/main/n/netbeans/netbeans_6.8-1.dsc
 http://mentors.debian.net/debian/pool/main/l/libappframework-java/libappframework-java_1.03-1.dsc
 http://mentors.debian.net/debian/pool/main/l/libnb-javaparser-java/libnb-javaparser-java_6.8-1.dsc
 http://mentors.debian.net/debian/pool/main/l/libnb-platform-java/libnb-platform-java_6.8-1.dsc
 http://mentors.debian.net/debian/pool/main/l/libbeansbinding-java/libbeansbinding-java_1.2.1-1.dsc
 http://mentors.debian.net/debian/pool/main/l/libini4j-java/libini4j-java_0.4.1-1.dsc
 http://mentors.debian.net/debian/pool/main/l/libnb-svnclientadapter-java/libnb-svnclientadapter-java_6.7-1.dsc


 Thank you for your reading this.

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/iijmio-mail.jp
 http://wiki.debian.org/HidekiYamane
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yulia Novozhilova <Yulia.Novozhilova@sun.com>:
Bug#492264; Package wnpp. (Sat, 13 Nov 2010 20:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Morten Sørensen <starswifter@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yulia Novozhilova <Yulia.Novozhilova@sun.com>. (Sat, 13 Nov 2010 20:54:03 GMT) Full text and rfc822 format available.

Message #29 received at 492264@bugs.debian.org (full text, mbox):

From: Morten Sørensen <starswifter@gmail.com>
To: 492264@bugs.debian.org, Yulia.Novozhilova@sun.com
Cc: henrich@debian.or.jp
Subject: Status update?
Date: Sat, 13 Nov 2010 21:50:54 +0100
Hello

Is there any updates on this package yet?
It is over half a year ago since Hideki Yamane came up with a port
from the Ubuntu package, so I was wondering if that (or an updated)
version was going to be released anytime soon?
I have a package which depends on it, so I would like to see it out at
some point.

Best regards,
Morten




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yulia Novozhilova <Yulia.Novozhilova@sun.com>:
Bug#492264; Package wnpp. (Mon, 29 Nov 2010 16:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yulia Novozhilova <yulia.novozhilova@oracle.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yulia Novozhilova <Yulia.Novozhilova@sun.com>. (Mon, 29 Nov 2010 16:03:02 GMT) Full text and rfc822 format available.

Message #34 received at 492264@bugs.debian.org (full text, mbox):

From: Yulia Novozhilova <yulia.novozhilova@oracle.com>
To: Morten Sørensen <starswifter@gmail.com>, 492264@bugs.debian.org
Cc: henrich@debian.or.jp
Subject: Re: Bug#492264: Status update?
Date: Mon, 29 Nov 2010 18:09:47 +0300
Hello

I haven't herd from Hideki Yamane for a long time. Suppose he doesn't 
have time for packaging any more.
Unfortunately I also don't have time to work on Debian/Ubuntu packages 
now. 
The only information I have is that libnb-svnclientadapter-java package 
is now going to be updated  in Ubuntu in the nearest future.

Thanks,
Yulia*****
*
Morten Sørensen wrote:
> Hello
>
> Is there any updates on this package yet?
> It is over half a year ago since Hideki Yamane came up with a port
> from the Ubuntu package, so I was wondering if that (or an updated)
> version was going to be released anytime soon?
> I have a package which depends on it, so I would like to see it out at
> some point.
>
> Best regards,
> Morten
>
>
>   





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yulia Novozhilova <Yulia.Novozhilova@sun.com>:
Bug#492264; Package wnpp. (Mon, 24 Jan 2011 01:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yulia Novozhilova <Yulia.Novozhilova@sun.com>. (Mon, 24 Jan 2011 01:45:03 GMT) Full text and rfc822 format available.

Message #39 received at 492264@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: control@bugs.debian.org, 492264@bugs.debian.org
Subject: ITP: libnb-svnclientadapter-java -- High-level Java API to subversion
Date: Sun, 23 Jan 2011 20:43:44 -0500
owner 492264 pkg-java-maintainers@lists.alioth.debian.org
thanks

Not sure whatever happened to the upstream of this fork, so I instead opted to 
patch netbeans to work with the original version of svnclientadapter, which 
seems more recent and active.

Work has already been done to get a package uploaded to Debian for 
svnclientadapter. See [1]. In any case, I'm setting the owner of this bug to 
be the Debian Java team.

1. http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=543907#44

-- 
Regards,
Andres Mejia




Owner changed from Yulia Novozhilova <Yulia.Novozhilova@sun.com> to pkg-java-maintainers@lists.alioth.debian.org. Request was from Andres Mejia <mcitadel@gmail.com> to control@bugs.debian.org. (Mon, 24 Jan 2011 01:45:11 GMT) Full text and rfc822 format available.

Removed indication that bug 492264 blocks 478762 Request was from Andres Mejia <mcitadel@gmail.com> to control@bugs.debian.org. (Mon, 24 Jan 2011 02:39:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-java-maintainers@lists.alioth.debian.org:
Bug#492264; Package wnpp. (Wed, 27 Jul 2011 16:28:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-java-maintainers@lists.alioth.debian.org. (Wed, 27 Jul 2011 16:28:19 GMT) Full text and rfc822 format available.

Message #48 received at 492264@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 492264@bugs.debian.org
Cc: control@bugs.debian.org
Subject: libnb-svnclientadapter-java: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:32 +0200
retitle 492264 RFP: libnb-svnclientadapter-java -- High-level Java API to subversion
noowner 492264
thanks

Hi,

This is an automatic email to change the status of libnb-svnclientadapter-java back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting libnb-svnclientadapter-java, please send a mail to
<control@bugs.debian.org> with:

 retitle 492264 ITP: libnb-svnclientadapter-java -- High-level Java API to subversion
 owner 492264 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <492264@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: libnb-svnclientadapter-java -- High-level Java API to subversion' from 'ITP: libnb-svnclientadapter-java -- High-level Java API to subversion' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:44:39 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by pkg-java-maintainers@lists.alioth.debian.org. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:44:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:38:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.